package net.northking.cctp.element.ats;

import net.northking.cctp.element.core.AbstractLibrary;
import net.northking.cctp.element.core.annotation.Library;
import net.northking.cctp.element.core.type.LibraryConstant;
import net.northking.cctp.element.util.Javadoc2Libdoc;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>这是一个用于Ats接口的组件库。</p>
 */
@Library(scanBasePackage = "net.northking.cctp.element.ats", infoClass = AtsInterfaceLibrary.class)
public class AtsInterfaceLibrary extends AbstractLibrary {

    private static final Logger logger = LoggerFactory.getLogger(AtsInterfaceLibrary.class);
    private static final Javadoc2Libdoc JAVA_DOC_2_LIB_DOC = new Javadoc2Libdoc(AtsInterfaceLibrary.class);
    private static final String NAME = "NK.ATS";
    private static final String CH_NAME = "ats接口组件库";
    private static final String VERSION = "2.3.6";
    private static final Integer TYPE = LibraryConstant.LIB_TYPE_NOT;

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getChName() {
        return CH_NAME;
    }

    @Override
    public String getVersion() {
        return VERSION;
    }

    @Override
    public Javadoc2Libdoc getLibDoc() {
        return JAVA_DOC_2_LIB_DOC;
    }

    @Override
    public Integer getType() {
        return TYPE;
    }
    @Override
    public void destroy() {
        logger.info("destroy done.");
    }

}